Recupera lo stato della sala
curl --request GET \
--url https://app.gestionesala.com/api/v1/venues/{id}/floor \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.gestionesala.com/api/v1/venues/{id}/floor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.gestionesala.com/api/v1/venues/{id}/floor"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"venueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezone": "<string>",
"serviceDate": "2023-12-25",
"now": "2023-11-07T05:31:56Z",
"currentShift": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z"
},
"nextShift": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z"
},
"floorPlanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tables": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"areaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"minSeats": 123,
"maxSeats": 123,
"state": "free",
"reservationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"reservations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"venueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceDate": "2023-12-25",
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"partySize": 123,
"status": "created",
"tableAssigned": true,
"needsAttention": true,
"notes": "<string>",
"source": "phone",
"sourceDetail": "<string>",
"externalRef": "<string>",
"guestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z",
"guest": {
"name": "<string>",
"allergies": "<string>",
"allergens": [
"gluten"
]
},
"guestDetails": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"name": "<string>",
"allergies": "<string>",
"allergens": [
"gluten"
],
"notes": "<string>",
"visitCount": 123,
"noShowCount": 123,
"externalRef": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"table": {
"tableId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tableCombinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tables": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"minSeats": 123,
"maxSeats": 123
}
]
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}Configurazione del locale
Recupera lo stato della sala
Scope: floor:read e reservations:read
GET
/
venues
/
{id}
/
floor
Recupera lo stato della sala
curl --request GET \
--url https://app.gestionesala.com/api/v1/venues/{id}/floor \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.gestionesala.com/api/v1/venues/{id}/floor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.gestionesala.com/api/v1/venues/{id}/floor"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"venueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezone": "<string>",
"serviceDate": "2023-12-25",
"now": "2023-11-07T05:31:56Z",
"currentShift": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z"
},
"nextShift": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z"
},
"floorPlanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tables": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"areaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"minSeats": 123,
"maxSeats": 123,
"state": "free",
"reservationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"reservations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"venueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceDate": "2023-12-25",
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"partySize": 123,
"status": "created",
"tableAssigned": true,
"needsAttention": true,
"notes": "<string>",
"source": "phone",
"sourceDetail": "<string>",
"externalRef": "<string>",
"guestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z",
"guest": {
"name": "<string>",
"allergies": "<string>",
"allergens": [
"gluten"
]
},
"guestDetails": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"name": "<string>",
"allergies": "<string>",
"allergens": [
"gluten"
],
"notes": "<string>",
"visitCount": 123,
"noShowCount": 123,
"externalRef": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"table": {
"tableId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tableCombinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tables": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"minSeats": 123,
"maxSeats": 123
}
]
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parametri del percorso
Risposta
OK
Fuso orario IANA
Giorno di servizio, YYYY-MM-DD
Istante ISO 8601 con fuso
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

